> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token balances on a remote domain

> Returns the expected token balances for a specified remote domain based on the deposit amounts made into xReserve.



## OpenAPI

````yaml openapi/xreserve.yaml get /v1/balances/{remoteDomain}
openapi: 3.0.2
info:
  title: Circle xReserve
  version: 1.0.0
  description: >
    xReserve enables transfers between USDC and USDC-backed tokens across
    supported blockchain networks using a secure attestation system.
servers:
  - url: https://xreserve-api-testnet.circle.com
    description: Testnet
  - url: https://xreserve-api.circle.com
    description: Mainnet
security: []
tags:
  - name: xReserve
    description: xReserve endpoints
paths:
  /v1/balances/{remoteDomain}:
    get:
      tags:
        - xReserve
      summary: Get token balances on a remote domain
      description: >-
        Returns the expected token balances for a specified remote domain based
        on the deposit amounts made into xReserve.
      operationId: getBalances
      parameters:
        - $ref: '#/components/parameters/RemoteDomain'
        - $ref: '#/components/parameters/TokenQuery'
      responses:
        '200':
          $ref: '#/components/responses/BalancesResponse'
        '400':
          $ref: '#/components/responses/ErrorResponse'
        '500':
          $ref: '#/components/responses/ErrorResponse'
components:
  parameters:
    RemoteDomain:
      in: path
      name: remoteDomain
      required: true
      schema:
        type: integer
        minimum: 0
      description: The remote domain ID by which to filter results.
      example: 1
    TokenQuery:
      in: query
      name: token
      required: false
      schema:
        type: string
      description: The token by which to query balances, such as `USDC`.
  responses:
    BalancesResponse:
      description: Successfully retrieved balances.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BalancesResponse'
    ErrorResponse:
      description: Standard error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    BalancesResponse:
      type: object
      description: Contains token balances for a remote domain.
      properties:
        balances:
          type: array
          description: List token balance entries.
          items:
            type: object
            properties:
              token:
                type: string
                description: The token symbol.
                example: USDC
              balance:
                type: string
                description: The token balance amount.
                example: '1000000'
            required:
              - token
              - balance
      required:
        - balances
    ErrorResponse:
      type: object
      description: Standard error response.
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Error message

````